[arch-commits] Commit in resourceproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 15:42:50 EDT 2009


    Date: Friday, April 17, 2009 @ 15:42:50
  Author: eric
Revision: 35842

upgpkg: resourceproto 1.0.2-2
    Added license

Modified:
  resourceproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 19:41:21 UTC (rev 35841)
+++ PKGBUILD	2009-04-17 19:42:50 UTC (rev 35842)
@@ -3,17 +3,19 @@
 
 pkgname=resourceproto
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Resource extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('b823b314e37eb19dae1f297951d2e933')
 sha1sums=('ac22c2e439067185ea169d20677f74321da7b34b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list